Index: /trunk/gsdl/cgi-bin/webpage_buildcol.pl
===================================================================
--- /trunk/gsdl/cgi-bin/webpage_buildcol.pl	(revision 1304)
+++ /trunk/gsdl/cgi-bin/webpage_buildcol.pl	(revision 1305)
@@ -118,28 +118,9 @@
 	{
 	    my $download_cmd = "perl " . &util::filename_cat ($ENV{'GSDLHOME'}, "bin", "script");
-	    my $file_or_url  = $building_cfg_text->{'building'}->{'fileorurl'};
-	    
-	    if ($file_or_url =~ m/^url$/i)
-	    {
-		# run urlcopy.pl to download files
-		$download_cmd = " urlcopy.pl ";
-		my @urls = split("\n",$input_dir);
-		my $u;
-		foreach $u (@urls)
-		{
-		    $u =~ s/^\s+//;
-		    $u =~ s/\s+$//;
-		    $download_cmd .= "\"$u\" ";
-		}
-	    }
-	    else
-	    {
-		# run filecopy.pl to download files
-		$input_dir =~ s/^\s+//;
-		$input_dir =~ s/\s+$//;
-		$download_cmd = " filecopy.pl $input_dir";
-	    }
-	    
-	    $download_cmd .= " $dirname";
+
+	    # run filecopy.pl to download files
+	    $input_dir =~ s/^\s+//;
+	    $input_dir =~ s/\s+$//;
+	    $download_cmd = " filecopy.pl \"$input_dir\" \"$dirname\"";
 	    
 	    # execute download command and monitor the output generated
Index: /trunk/gsdl/cgi-bin/webpage_mkcol.pl
===================================================================
--- /trunk/gsdl/cgi-bin/webpage_mkcol.pl	(revision 1304)
+++ /trunk/gsdl/cgi-bin/webpage_mkcol.pl	(revision 1305)
@@ -151,5 +151,4 @@
 	my $about_desc    = $args->{'bc1aboutdesc'};
 	my $src_format    = $args->{'bc1srcformat'};
-	my $file_or_url   = $args->{'bc1fileorurl'};
 	my $input_dir     = $args->{'bc1inputdir'};
 	my $copy_dir      = $args->{'bc1copydir'};
@@ -163,8 +162,11 @@
 	$cmd .= " -about   \"$about_desc\"";
 	$cmd .= " -plugin  \"GMLPlug\"";
-	$cmd .= " -plugin  \"${src_format}Plug\"";
+	if ($src_format eq "HTML") {
+	    $cmd .= " -plugin  \"HTMLPlug -keep_head\"";
+	} else {
+	    $cmd .= " -plugin  \"${src_format}Plug\"";
+	}
 	$cmd .= " -plugin  \"ArcPlug\"";
 	$cmd .= " -plugin  \"RecPlug\"";
-###	$cmd .= " -refine  \"$refine_plugs\"";
 	$cmd .= " $unique_dirname";
 
@@ -174,6 +176,6 @@
 	if ($status == 0)
 	{
-	    # append copydir, file_or_url and input_dir to end of collect.cfg
-	    # we'll also append DocumentUseHTML if processing HTML docs
+	    # append copydir and input_dir to end of collect.cfg we'll also
+	    # append DocumentUseHTML if processing HTML docs
 	    my $cfg_filename 
 		= &util::filename_cat($ENV{'GSDLHOME'},"collect",$unique_dirname,
@@ -188,6 +190,5 @@
 		    }
 
-		    print CFGAPP "building\tfileorurl\t$file_or_url\n";
-		    print CFGAPP "building\tinputdir\t$input_dir\n";
+		    print CFGAPP "building\tinputdir\t\"$input_dir\"\n";
 		    print CFGAPP "building\tcopydir\t\t$copy_dir\n";
 		    print CFGAPP "building\tingsdlarea\t$in_gsdl_area\n";
Index: /trunk/gsdl/macros/base.dm
===================================================================
--- /trunk/gsdl/macros/base.dm	(revision 1304)
+++ /trunk/gsdl/macros/base.dm	(revision 1305)
@@ -65,4 +65,7 @@
 #######################################################################
 
+# _win32_ will be set to 1 if we're on windows
+_win32_ {}
+
 _navigationbar_ {}
 _javaimagesnavbar_ {}
Index: /trunk/gsdl/macros/build.dm
===================================================================
--- /trunk/gsdl/macros/build.dm	(revision 1304)
+++ /trunk/gsdl/macros/build.dm	(revision 1305)
@@ -72,5 +72,4 @@
 _bcargaboutdesc_    {}
 _bcargsrcformat_    {TEXT}
-_bcargfileorurl_    {file}
 _bcarginputdir_     {}
 _bcargcopydir_      {yes}
@@ -98,5 +97,4 @@
 	args += "&bc1aboutdesc=" + escape(form.bc1aboutdesc.value);
 	args += "&bc1srcformat=" + escape(form.bc1srcformat.value);
-	args += "&bc1fileorurl=" + escape(form.bc1fileorurl.value);
 	args += "&bc1inputdir=" + escape(form.bc1inputdir.value);
 	args += "&bc1copydir=" + escape(form.bc1copydir.value);
@@ -115,8 +113,4 @@
         simulate_get_action("_httpbuild_&bca=newcol");
    \}
-}
-
-_wizardbarforu_ {
-    _wizardlink_(:archiveopts,Archive options)
 }
 
@@ -181,11 +175,6 @@
   _wizardlink_(textinfo,Textual information)
   _wizardlink_(:source,Source data)
-  _If_("_bcargfileorurl_" eq "file", _wizardbarforu_)
-  _wizardlink_(:metadata,Metadata)
-  <td>
-    <font color="#006666">
-        Save
-    </font>
-  </td>
+  _wizardlink_(:archiveopts,Archive options)
+  _wizardlink_(:definished,Save)
 </tr>
 </table>
@@ -274,5 +263,4 @@
 
 <input type=hidden name="bc1srcformat" value="_bcargsrcformat_">
-<input type=hidden name="bc1fileorurl" value="_bcargfileorurl_">
 <input type=hidden name="bc1inputdir" value="_bcarginputdir_">
 <input type=hidden name="bc1copydir" value="_bcargcopydir_">
@@ -359,10 +347,4 @@
 _headmesssource_ { New collection wizard: source data }
 
-_fileortextinput_ {
-    _If_("_bcarginputdir_" eq "",
-      <input type="file" name="bc1inputdir" size=42>,
-      <input type="text" name="bc1inputdir" value="_bcarginputdir_" size=50>)
-}
-
 _contentsource_ {
 
@@ -378,13 +360,5 @@
         if (form.bc1inputdir.value.match(/^\\s*$/))
           \{
-	     if (form.bc1fileorurl.value == "file")
-	       \{
-                 alert("Directory for source files needs to be specified");
-	       \}
-	     else
-	       \{
-                 alert("At least one URL for source files needs to be specified");
-	       \}
-
+             alert("Directory for source files needs to be specified");
              form.bc1inputdir.focus();
              return;
@@ -392,30 +366,21 @@
 
   	// work out the next newcol "wizard" page
-	if (form.bc1fileorurl.value == "file")
+        var prefix_re 
+	   = new RegExp(form.gsdlhome.value + "/collect/([^/]+)/(import|archive)");
+
+        if (form.bc1inputdir.value.match(prefix_re))
+ 	  \{
+	     form.bc1ingsdlarea.value = "yes";
+             if (form.bc1inputdir.value != "_bcarginputdir_")
+	       \{
+                  // input dir has been changed
+                  form.bc1copydir.value = "no";
+               \}
+          \}
+        else
 	  \{
-	    var prefix_re 
-	     = new RegExp(form.gsdlhome.value + "/collect/([^/]+)/(import|archive)");
-
-	    if (form.bc1inputdir.value.match(prefix_re))
- 	      \{
-		form.bc1ingsdlarea.value = "yes";
-		if (form.bc1inputdir.value != "_bcarginputdir_")
-		  \{
-		    // input dir has been changed
-	            form.bc1copydir.value = "no";
-		  \}
-	      \}
-	    else
-	      \{
-		form.bc1ingsdlarea.value = "no";
-	      \}
-	    form.wizard.value += ":archiveopts";
+	     form.bc1ingsdlarea.value = "no";
 	  \}
-	else
-	  \{
-	      form.bc1ingsdlarea.value = "no";
-	      form.bc1copydir.value = "yes";
-	      form.wizard.value += ":metadata";
-	  \}
+	form.wizard.value += ":archiveopts";
 
         simulate_get_action("_httpbuild_&bca=newcol");
@@ -430,33 +395,5 @@
    \}
 
-   function datasource_changed() \{
-        var form = document.form;
-	var fou_index = form.bc1fileorurlmenu.selectedIndex;
-	var fou_choice = form.bc1fileorurlmenu.options[fou_index].value;
-	form.bc1fileorurl.value = fou_choice;
-
-	var inputdir = form.bc1inputdir.value;
-	if (fou_choice == "url") 
-	  \{
-	    if (!inputdir.match(/^file:/i))
-	      \{
-		form.bc1inputdir.value = "file:"+inputdir;
-	      \}
-	  \}
-	else
-	  \{
-	    var first_line_index = inputdir.indexOf("\\n",0);
-	    var first_line 
-		= (first_line_index>0) ? inputdir.substring(0,first_line_index-1) : inputdir;
-	    if (first_line.match(/^file:/))
-	      \{
-	    	var file = first_line.substring(5,inputdir.length);
-		form.bc1inputdir.value = file;
-	      \}
-	  \}
-        simulate_get_action("_httpbuild_&bca=newcol");
-   \}
    // end hiding -->
-
 
 </script>
@@ -501,61 +438,22 @@
   </td>
 </tr>
-<tr>
-  <td>Source location:</td>
+
+<tr>
   <td>
-    <input type="hidden" name="bc1fileorurl" value="_bcargfileorurl_">
-    <select name="bc1fileorurlmenu" onChange=datasource_changed()>
-      <option value="file" _If_("_bcargfileorurl_" eq "file",selected)>Local disk
-      <option value="url"  _If_("_bcargfileorurl_" eq "url",selected)>The Internet
-    </select>
-  </td>
-</tr>
+    Input directory:
+  </td>
+
+  <td colspan=3>
+     <input type=text name="bc1inputdir" value="_bcarginputdir_" size=40>
+  </td>
+  </td>
+</tr>
+
 <tr>
   <td></td>
   <td colspan=3>
      <font color="#909090">
-        The source data used to build a collection can be on either the local disk
-	or externally accessible over the Web.  Use this pull-down menu to
-	control this setting.  On selecting an item from the menu this page will
-	automatically reconfigure itself so the request for input (below) will be
-	a local directory or a URL as appropriate.
-
-     _If_('"_bcargfileorurl_" eq "url"',
-	<p> When entering a URL it is important to distinguish between a directory
-	and a file.  A directory must end with <tt>/</tt>
-	)
-
-      </font>
-  </td>
-</tr>
-
-<tr>
-  <td>
-     _If_('"_bcargfileorurl_" eq "file"',
-	  Input directory:,Input URL/URLS)
-  </td>
-
-  <td colspan=3>
-     _If_('"_bcargfileorurl_" eq "file"',
-	  _fileortextinput_,
-          <textarea name="bc1inputdir" cols=50 rows=3 
-	     wrap=physical>_bcarginputdir_</textarea>
-          )
-  </td>
-  </td>
-</tr>
-
-<tr>
-  <td></td>
-  <td colspan=3>
-     <font color="#909090">
-     _If_('"_bcargfileorurl_" eq "file"',
 	The input directory specifies where on the local disk the source data is 
 	located.
-	,
-	Any URL specified here is downloaded and any links within that page that
-	refer to further documents at that site\, contained within the same directory
-	structure are recursively copied.  At least one URL needs to be specified.
-          )
      </font>
   </td>
@@ -590,5 +488,5 @@
         var form = document.form;
 
-	form.wizard.value += ":metadata";
+	form.wizard.value += ":definished";
 
         simulate_get_action("_httpbuild_&bca=newcol");
@@ -618,5 +516,4 @@
 <input type=hidden name="bc1aboutdesc" value="_bcargaboutdesc_")>
 <input type=hidden name="bc1srcformat" value="_bcargsrcformat_">
-<input type=hidden name="bc1fileorurl" value="_bcargfileorurl_">
 <input type=hidden name="bc1inputdir" value="_bcarginputdir_">
 <input type=hidden name="bc1ingsdlarea" value="_bcargingsdlarea_">
@@ -671,10 +568,9 @@
 }
 
-
 #---------------------------------------------------------------------------#
 
-_headmessmetadata_ { New collection wizard: metadata }
-
-_contentmetadata_ {
+_headmessdefinished_ { New collection wizard: data entry finished }
+
+_contentdefinished_ {
 
 
@@ -693,5 +589,5 @@
 	\}
 
-	form.wizard.value += ":definished"; //*****
+	form.wizard.value += ":definished";
 
 	var cgi_prefix = "webpage_mkcol.pl";
@@ -717,76 +613,4 @@
 <input type=hidden name="bc1aboutdesc" value="_bcargaboutdesc_")>
 <input type=hidden name="bc1srcformat" value="_bcargsrcformat_">
-<input type=hidden name="bc1fileorurl" value="_bcargfileorurl_">
-<input type=hidden name="bc1inputdir" value="_bcarginputdir_">
-<input type=hidden name="bc1copydir" value="_bcargcopydir_">
-<input type=hidden name="bc1ingsdlarea" value="_bcargingsdlarea_">
-<input type=hidden name="bc1refine" value="_bcargrefine_">
-
-<table border=0>
-<tr>
-  <td>
-	Extract acronyms:
-  </td>
-  <td colspan=3>
-    <input type=hidden name="bc1acronyms" value="_bcargacronyms_">
-    <input type=radio name="bc1acronymsradio" value="on" 
-	onClick=document.form.bc1acronyms.value="on"
-	_If_('"_bcargacronyms_" eq "on"', checked)> on
-    &nbsp;&nbsp;&nbsp;&nbsp;
-    <input type=radio name="bc1acronymsradio" value="off"
-	onClick=document.form.bc1acronyms.value="off"
-	_If_('"_bcargacronyms_" eq "off"', checked)> off
-  </td>
-</tr>
-<tr>
-  <td></td>
-  <td colspan=3>
-     <font color="#909090">
-	Switch this option on if you want acronyms in the
-        text extracted as metadata.
-     </font>
-  </td>
-</tr>
-
-<tr><td><p>&nbsp;</td></tr>
-<tr><td colspan=4 align=middle>
-  <a href="javascript:save()">Save_iconwizardnext_</a>
-</table>
-</form>
-</td></tr></table></center>
-
-_wizardbar_
-}
-
-
-#---------------------------------------------------------------------------#
-
-_headmessdefinished_ { New collection wizard: data entry finished }
-
-_contentdefinished_ {
-
-
-<script language="javascript">
-
-   <!-- Hide code from non-js browsers
-   _commonjavascript_
-   //**********     page never used!!!
-   // end hiding -->
-
-
-</script>
-
-<center><table><tr><td>
-<form name="form" method="post" action="_gwcgi_">
-<input type=hidden name="gsdlhome" value="_gsdlhome_">
-<input type=hidden name="a" value="bc">
-<input type=hidden name="bc" value="newcol">
-_hiddenargs_
-
-<input type=hidden name="bc1fullname" value="_bcargfullname_")>
-<input type=hidden name="bc1contactemail" value="_bcargcontactemail_")>
-<input type=hidden name="bc1aboutdesc" value="_bcargaboutdesc_")>
-<input type=hidden name="bc1srcformat" value="_bcargsrcformat_">
-<input type=hidden name="bc1fileorurl" value="_bcargfileorurl_">
 <input type=hidden name="bc1inputdir" value="_bcarginputdir_">
 <input type=hidden name="bc1copydir" value="_bcargcopydir_">
@@ -798,11 +622,10 @@
 <tr>
   <td>
-	This concludes the data entry required to build a new collection.
-	
-
-	Away to (download) and then create config file
-
-	possible want to re-edit
-	build stuff
+	This concludes the data entry required to create a new collection.
+
+	<p>Select "finish" to save your collection info and create the
+	   collection or select from the wizard bar to go back and change
+	   any of your previous selections.
+
   </td>
 </tr>
@@ -810,9 +633,10 @@
 <tr><td><p>&nbsp;</td></tr>
 <tr><td align=middle>
-  <a href="javascript:next_page();">Create new collection_iconwizardnext_</a>
+  <a href="javascript:save();">finish_iconwizardnext_</a>
 </table>
 </form>
 </td></tr></table></center>
 
+_wizardbar_
 }
 
@@ -858,9 +682,15 @@
 	if (do_save)
 	\{
-	    var cgi_prefix = "webpage_editcol.pl";
-	    cgi_prefix += "?httpbuild=" + escape("_httpbuild_");
-	    cgi_prefix += "&bc1cfgfile=" + escape(form.bc1cfgfile.value);
-
-	    simulate_get_action(cgi_prefix);
+//	    var cgi_prefix = "webpage_editcol.pl";
+//	    cgi_prefix += "?httpbuild=" + escape("_httpbuild_");
+//	    cgi_prefix += "&bc1cfgfile=" + escape(form.bc1cfgfile.value);
+
+//	    simulate_get_action(cgi_prefix);
+
+	    // need to do it this way so POST method is used (as IE can't
+	    // handle large config files sent in URL)
+	    form.action = "webpage_editcol.pl";
+	    form.submit();
+
 	\}
    \}
@@ -887,4 +717,5 @@
 <input type=hidden name="a" value="bc">
 <input type=hidden name="bc" value="editcol">
+<input type=hidden name="httpbuild" value="_httpbuild_">
 _hiddenargs_
 
@@ -1061,6 +892,13 @@
   <td colspan=4> 
       Building a collection is a multi-staged process.  After selecting the
-	collection you wish to be built, you must specify with stages of
-        the building process you want executed.
+      collection you wish to be built, you must specify which stages of
+      the building process you want executed.
+      _If_(_win32_,
+      <p><font color="#B00000">
+      <blockquote>It is recommended that you close all other windows and applications
+      while building a collection as they may interfere with the building
+      process.
+      </blockquote></font>)
+      <br>
   </td>
 </tr>
@@ -1158,23 +996,7 @@
 _headmessbuildframe_ { Executing build commands }
 
-
-# not sure why we need 3 frames here when one appears to always be blank
-# - Stefan
-#_contentbuildframe_ {
-
-#<frameset rows="*,150,*" border=0>
-#  <noframes><body bgcolor="#ffffff">
-#  <p>You must have a frame enabled browser to view this.</p>
-#  </body>
-#  </noframes>
-#  <frame src="_httpbuild_&bca=buildcol&wizard=buildexec&bc1dirname=_bcargdirname_&bc1tmpname=_bcargtmpname_" name=infoframe>
-#  <frame src="_httpbuild_&bca=buildstatus&bc1tmpname=_bcargtmpname_" name=execframe>
-#  <frame src="_httpbuild_&bca=blankpage" name=blankframe>
-#</frameset>
-#}
-
 _contentbuildframe_ {
 
-<frameset rows="200,150" border=0>
+<frameset rows="2*,150,*" border=0>
   <noframes><body bgcolor="#ffffff">
   <p>You must have a frame enabled browser to view this.</p>
@@ -1183,7 +1005,7 @@
   <frame src="_httpbuild_&bca=buildcol&wizard=buildexec&bc1dirname=_bcargdirname_&bc1tmpname=_bcargtmpname_" name=infoframe>
   <frame src="_httpbuild_&bca=buildstatus&bc1tmpname=_bcargtmpname_" name=execframe>
+  <frame src="_httpbuild_&bca=blankpage" name=blankframe>
 </frameset>
 }
-
 
 #---------------------------------------------------------------------------#
@@ -1471,5 +1293,12 @@
 
 
-
+_headmesscollog_ { Collection Build Log }
+
+
+_contentcollog_ {
+<pre>
+_bldfile_
+</pre>
+}
 
 
@@ -1542,4 +1371,6 @@
       <li><a href="_httppageabout_&c=_build:bcargdirname_" target="_top">Access
 	the newly built collection_build:iconwizardnext_</a>
+      <li><a href="_httpbuild_&bca=collog&bc1dirname=_build:bcargdirname_">View 
+        the build log for this collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=newcol">Make a new
 	collection_build:iconwizardnext_</a>
Index: /trunk/gsdl/src/recpt/buildaction.cpp
===================================================================
--- /trunk/gsdl/src/recpt/buildaction.cpp	(revision 1304)
+++ /trunk/gsdl/src/recpt/buildaction.cpp	(revision 1305)
@@ -329,5 +329,5 @@
 
       // read in collect.bld
-      text_t bld_fname = filename_cat(gsdlhome, "log", dirname+ ".bld");
+      text_t bld_fname = filename_cat(gsdlhome, "etc", dirname+ ".bld");
 
 #ifdef GSDL_USE_IOS_H
Index: /trunk/gsdl/src/recpt/receptionist.cpp
===================================================================
--- /trunk/gsdl/src/recpt/receptionist.cpp	(revision 1304)
+++ /trunk/gsdl/src/recpt/receptionist.cpp	(revision 1305)
@@ -1064,4 +1064,8 @@
   disp.setmacro ("decodedcompressedoptions", "Global", dm_safe(compressedoptions));
 
+#if defined (__WIN32__)
+  disp.setmacro ("win32", "Global", "1");
+#endif
+
   // set macron macros if encoding is utf8
   if (args["w"] == "u") {