Index: /trunk/gsdl/lib/cfgread.cpp
===================================================================
--- /trunk/gsdl/lib/cfgread.cpp	(revision 1309)
+++ /trunk/gsdl/lib/cfgread.cpp	(revision 1310)
@@ -22,40 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.9  2000/07/05 21:49:22  sjboddie
-   Receptionist now caches collection information to avoid making multiple
-   get_collectinfo calls to collection server
-
-   Revision 1.8  2000/04/06 19:57:57  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.6  1999/12/05 21:08:28  sjboddie
-   added support for reading and writing windows ini files
-
-   Revision 1.5  1999/09/07 04:57:41  sjboddie
-   added gpl notice
-
-   Revision 1.4  1999/02/02 09:54:26  rjmcnab
-
-   Changed the configuration file reader so that any space can be used to
-   seperate items and so that quotes can be used to contain items. I also
-   allowed a '\' to indicate that the line continues on the next line.
-
-   Revision 1.3  1999/01/12 01:50:57  rjmcnab
-
-   Standard header.
-
-   Revision 1.2  1999/01/08 02:33:13  rjmcnab
-
-   Added standard header to source files.
-
- */
-
 
 #include "cfgread.h"
Index: /trunk/gsdl/lib/cfgread.h
===================================================================
--- /trunk/gsdl/lib/cfgread.h	(revision 1309)
+++ /trunk/gsdl/lib/cfgread.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/lib/display.cpp
===================================================================
--- /trunk/gsdl/lib/display.cpp	(revision 1309)
+++ /trunk/gsdl/lib/display.cpp	(revision 1310)
@@ -22,83 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.21  2000/06/18 22:56:55  sjboddie
-   fixed a bug that I'd introduced earlier when attempting to get things
-   compiling on VC++ 6.0 - the gsdl-2.22 release (and possibly 2.21) was
-   affected and wouldn't have displayed chinese and Arabic characters
-   correctly
-
-   Revision 1.20  2000/05/12 03:09:23  sjboddie
-   minor modifications to get web library compiling under VC++ 6.0
-
-   Revision 1.19  2000/04/06 19:57:58  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.17  2000/02/29 21:00:38  sjboddie
-   fixed some compiler warnings
-
-   Revision 1.16  1999/11/25 21:53:08  sjboddie
-   fixed bug in logout
-
-   Revision 1.15  1999/09/24 02:25:35  rjmcnab
-   removed limitation on the number of arguments that a macro can have
-
-   Revision 1.14  1999/09/07 04:57:41  sjboddie
-   added gpl notice
-
-   Revision 1.13  1999/08/31 07:59:11  rjmcnab
-   Generalised spaces to unicode spaces, added ability to automatically detect
-   whether the input file is Unicode or UTF-8 and read the file in the
-   appropriate way, and improved the error messages slightly.
-
-   Revision 1.12  1999/07/21 20:46:12  rjmcnab
-   fixed small bug
-
-   Revision 1.11  1999/07/21 07:26:30  rjmcnab
-   Added more operators to _If_, changed quoting of parameters so that
-   ' can be used to quote but it is removed, and made slight optimisation
-   so that macros that don't contain other macros aren't expanded.
-
-   Revision 1.10  1999/03/01 20:39:54  sjboddie
-
-   Added eq and ne functionality to _If_
-
-   Revision 1.9  1999/03/01 01:18:09  sjboddie
-
-   Fixed bug in _If_ when value being tested was only one character
-   long (e.g. "0" or "1")
-
-   Revision 1.8  1999/02/28 23:15:29  rjmcnab
-
-   Made _If_ recognise 'false' and '0' as being false.
-
-   Revision 1.7  1999/02/08 01:26:11  rjmcnab
-
-   Improved the error reporting.
-
-   Revision 1.6  1999/01/19 08:30:23  rjmcnab
-
-   Added a method to determine whether a macro has been defined.
-
-   Revision 1.5  1999/01/19 01:38:12  rjmcnab
-
-   Made the source more portable.
-
-   Revision 1.4  1999/01/12 01:50:57  rjmcnab
-
-   Standard header.
-
-   Revision 1.3  1999/01/08 02:33:13  rjmcnab
-
-   Added standard header to source files.
-
- */
-
 
 #include "display.h"
@@ -1727,3 +1649,2 @@
   return display;
 }
-
Index: /trunk/gsdl/lib/display.h
===================================================================
--- /trunk/gsdl/lib/display.h	(revision 1309)
+++ /trunk/gsdl/lib/display.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
@@ -268,3 +266,2 @@
 
 #endif
-
Index: /trunk/gsdl/lib/fileutil.cpp
===================================================================
--- /trunk/gsdl/lib/fileutil.cpp	(revision 1309)
+++ /trunk/gsdl/lib/fileutil.cpp	(revision 1310)
@@ -22,56 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.16  2000/05/12 03:09:22  sjboddie
-   minor modifications to get web library compiling under VC++ 6.0
-
-   Revision 1.15  2000/05/04 08:27:28  sjboddie
-   modifications for windows ports of GCC
-
-   Revision 1.14  2000/04/06 19:57:59  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.12  2000/02/21 21:53:19  sjboddie
-   removed old comment
-
-   Revision 1.11  1999/11/21 01:09:30  sjboddie
-   added readdir function for windows
-
-   Revision 1.10  1999/10/25 22:27:51  sjboddie
-   added read_dir function - doesn't support windows yet
-
-   Revision 1.9  1999/10/19 03:52:25  davidb
-   added some useful functions for collection building
-   from webpages
-
-   Revision 1.8  1999/09/07 04:57:42  sjboddie
-   added gpl notice
-
-   Revision 1.7  1999/08/31 08:00:43  rjmcnab
-   Fixed a windows specific error in the file_exists function.
-
-   Revision 1.6  1999/04/06 22:16:49  rjmcnab
-   Added more options for filename_cat.
-
-   Revision 1.5  1999/01/19 01:38:14  rjmcnab
-
-   Made the source more portable.
-
-   Revision 1.4  1999/01/12 01:50:59  rjmcnab
-
-   Standard header.
-
-   Revision 1.3  1999/01/08 02:33:14  rjmcnab
-
-   Added standard header to source files.
-
- */
-
 
 #include "fileutil.h"
Index: /trunk/gsdl/lib/fileutil.h
===================================================================
--- /trunk/gsdl/lib/fileutil.h	(revision 1309)
+++ /trunk/gsdl/lib/fileutil.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/lib/gsdlconf.h
===================================================================
--- /trunk/gsdl/lib/gsdlconf.h	(revision 1309)
+++ /trunk/gsdl/lib/gsdlconf.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/lib/gsdltimes.cpp
===================================================================
--- /trunk/gsdl/lib/gsdltimes.cpp	(revision 1309)
+++ /trunk/gsdl/lib/gsdltimes.cpp	(revision 1310)
@@ -22,22 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.4  2000/04/06 19:58:00  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.2  1999/09/07 04:57:42  sjboddie
-   added gpl notice
-
-   Revision 1.1  1999/07/11 10:52:56  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "gsdltimes.h"
Index: /trunk/gsdl/lib/gsdltimes.h
===================================================================
--- /trunk/gsdl/lib/gsdltimes.h	(revision 1309)
+++ /trunk/gsdl/lib/gsdltimes.h	(revision 1310)
@@ -22,6 +22,4 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
 
Index: /trunk/gsdl/lib/gsdltools.cpp
===================================================================
--- /trunk/gsdl/lib/gsdltools.cpp	(revision 1309)
+++ /trunk/gsdl/lib/gsdltools.cpp	(revision 1310)
@@ -22,27 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.5  2000/05/19 04:56:01  sjboddie
-   added gsdl_system function for spawning off new processes under windows
-
-   Revision 1.4  2000/05/04 05:16:23  sjboddie
-   Moved dm_safe from htmlutils to gsdltools. Also made it escape '\'
-   characters to prevent their mysterious disapearance from things like
-   windows filenames when they get passed through the macro expander.
-
-   Revision 1.3  2000/04/06 19:58:01  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.1  2000/02/29 01:37:00  sjboddie
-   tidied up endianness
-
- */
-
 
 #include "gsdltools.h"
Index: /trunk/gsdl/lib/gsdltools.h
===================================================================
--- /trunk/gsdl/lib/gsdltools.h	(revision 1309)
+++ /trunk/gsdl/lib/gsdltools.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/lib/gsdlunicode.cpp
===================================================================
--- /trunk/gsdl/lib/gsdlunicode.cpp	(revision 1309)
+++ /trunk/gsdl/lib/gsdlunicode.cpp	(revision 1310)
@@ -22,48 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.14  2000/06/23 05:03:29  nzdl
-   fixed a couple of compiler warnings created by the new encoding stuff
-
-   Revision 1.13  2000/06/23 03:21:38  sjboddie
-   Created converter classes for simple 8 bit encodings that use a
-   simple textual map file. Instances of these classes are used to handle
-   the Windows 1256 (Arabic) encoding.
-
-   Revision 1.12  2000/04/06 19:58:02  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.10  1999/09/07 04:57:43  sjboddie
-   added gpl notice
-
-   Revision 1.9  1999/07/21 07:23:17  rjmcnab
-   Added setmapfile function to map conversion utilities so the map file
-   does not need to be loaded when map conversion object is created.
-
-   Revision 1.8  1999/07/01 04:03:45  rjmcnab
-   Optimised utf8inconvertclass::convert slightly.
-
-   Revision 1.7  1999/06/30 04:59:03  rjmcnab
-   Added a to_utf8 function that takes iterators as input.
-
-   Revision 1.6  1999/06/26 01:05:04  rjmcnab
-   No real changes.
-
-   Revision 1.5  1999/01/12 01:50:59  rjmcnab
-
-   Standard header.
-
-   Revision 1.4  1999/01/08 02:33:15  rjmcnab
-
-   Added standard header to source files.
-
- */
-
 
 #include "gsdlunicode.h"
Index: /trunk/gsdl/lib/gsdlunicode.h
===================================================================
--- /trunk/gsdl/lib/gsdlunicode.h	(revision 1309)
+++ /trunk/gsdl/lib/gsdlunicode.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/lib/text_t.cpp
===================================================================
--- /trunk/gsdl/lib/text_t.cpp	(revision 1309)
+++ /trunk/gsdl/lib/text_t.cpp	(revision 1310)
@@ -22,65 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.18  2000/04/14 02:50:12  sjboddie
-   added text_t versions of joinchar to work with sets and lists
-
-   Revision 1.17  2000/04/06 19:58:03  cs025
-   Correcting a correction - reinstated all lib files due to silly
-   CVS confusion.
-
-   Revision 1.15  1999/10/14 22:52:39  sjboddie
-   joinchar can join using text_t string now too
-
-   Revision 1.14  1999/09/24 02:30:03  rjmcnab
-   added function has_unicode_letdig
-
-   Revision 1.13  1999/09/07 04:57:43  sjboddie
-   added gpl notice
-
-   Revision 1.12  1999/08/31 08:04:41  rjmcnab
-   Fixed a small but hard to find bug in getcarr
-
-   Revision 1.11  1999/07/01 04:05:09  rjmcnab
-   Optimised append functions slightly and added a reserve function.
-
-   Revision 1.10  1999/04/26 03:58:03  sjboddie
-   added is_number function
-
-   Revision 1.9  1999/04/06 22:17:24  rjmcnab
-   Added splits and joins using text_tset.
-
-   Revision 1.8  1999/02/28 23:14:41  rjmcnab
-
-   Added uc and lc to convert to uppercase and lowercase.
-
-   Revision 1.7  1999/02/21 22:26:39  rjmcnab
-
-   Made getint() a constant function.
-
-   Revision 1.6  1999/02/03 01:13:26  sjboddie
-
-   Got interface to handle subcollections and language subcollections -
-   committed changes made to some of the collections
-
-   Revision 1.5  1999/01/19 01:38:14  rjmcnab
-
-   Made the source more portable.
-
-   Revision 1.4  1999/01/12 01:51:00  rjmcnab
-
-   Standard header.
-
-   Revision 1.3  1999/01/08 02:33:16  rjmcnab
-
-   Added standard header to source files.
-
- */
-
 
 #include "text_t.h"
Index: /trunk/gsdl/lib/text_t.h
===================================================================
--- /trunk/gsdl/lib/text_t.h	(revision 1309)
+++ /trunk/gsdl/lib/text_t.h	(revision 1310)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/