Index: /trunk/gsdl/macros/authen.dm
===================================================================
--- /trunk/gsdl/macros/authen.dm	(revision 1362)
+++ /trunk/gsdl/macros/authen.dm	(revision 1363)
@@ -19,5 +19,5 @@
 
 <tr><td>
-<table><td>_textusername_</td>
+<table><tr><td>_textusername_</td>
 <td><input type="text" name="un" value="_cgiargun_" size=10></td>
 <td></td></tr>
@@ -27,5 +27,5 @@
 </tr>
 </table>
-<td></tr>
+</td></tr>
 </table>
 </form>
Index: /trunk/gsdl/macros/build.dm
===================================================================
--- /trunk/gsdl/macros/build.dm	(revision 1362)
+++ /trunk/gsdl/macros/build.dm	(revision 1363)
@@ -269,71 +269,48 @@
 <input type=hidden name="bc1refine" value="_bcargrefine_">
 
-<table border=0>
-<tr>
-  <td colspan=4> 
-      To create a new collection you are required to enter some preliminary
-       information about the source data.
-       This process is structured as a series of Web pages, overseen by the
-	new-collection &quot;wizard.&quot  The wizard bar at the bottom of the page
-	shows you the sequence of pages to be completed.  You can return to
-	a previous page by clicking on the corresponding item in the wizard bar.
-  </td>
-</tr>
-<tr>
-  <td>Title for collection:</td>
-  <td colspan=3>
-    <input type="text" name="bc1fullname" 
-	value="_bcargfullname_") size=50>
-  </td>
-<tr>
-  <td></td>
-  <td colspan=3>
-    <font color="#909090">The collection title is a text phrase that encapsulates 
-      the content of the collection and is used throughout the digital library.
-      Example titles include &quot;Computer Science Technical Reports&quot; and
-      &quot;Humanity Development Library.&quot;
-    </font>
-  </td>
-</tr>
-
-<tr>
-  <td>Contact email address:</td>
-  <td colspan=3>
-    <input type="text" name="bc1contactemail" 
-	value="_bcargcontactemail_" size=50>
-  </td>
-</tr>
-<tr>
-  <td></td>
-  <td colspan=3>
-    <font color="#909090">This email address specifies the first point of
-        contact for the collection.  If the collection software detects a problem,
-        then a diagnostic report is sent to this address.  Enter an email address
-        in its full form: <tt>name@domain</tt>.
-     </font>
-  </td>
-</tr>
-
-<tr>
-  <td>About this collection:</td>
-
-  <td colspan=3>
-    <textarea name="bc1aboutdesc"  cols=50 rows=6 
+<center><table border=0 width=_pagewidth_><tr><td>
+
+<p>
+To create a new collection you are required to enter some preliminary
+information about the source data.  This process is structured as a series
+of Web pages, overseen by the new-collection &quot;wizard.&quot The wizard
+bar at the bottom of the page shows you the sequence of pages to be
+completed.  You can return to a previous page by clicking on the
+corresponding item in the wizard bar.
+
+<p>_iconblankbar_<br><br>
+<h4>Title for collection:</h4>
+<input type="text" name="bc1fullname" value="_bcargfullname_") size=72>
+<br>
+<font color="#909090">
+The collection title is a text phrase that encapsulates the content of the
+collection and is used throughout the digital library.  Example titles
+include &quot;Computer Science Technical Reports&quot; and &quot;Humanity
+Development Library.&quot;
+</font>
+
+<h4>Contact email address:</h4>
+<input type="text" name="bc1contactemail" value="_bcargcontactemail_" size=72>
+<br>
+<font color="#909090">
+This email address specifies the first point of contact for the collection.
+If the collection software detects a problem, then a diagnostic report is
+sent to this address.  Enter an email address in its full form:
+<tt>name@domain</tt>.
+</font>
+
+<h4>About this collection:</h4>
+<textarea name="bc1aboutdesc"  cols=72 rows=6 
      wrap=physical>_bcargaboutdesc_</textarea>
-  </td>
-</tr>
-<tr>
-  <td></td>
-  <td colspan=3>
-    <font color="#909090">
-       A statement describing the principles governing what is included in the collection.
-     </font>
-  </td>
-</tr>
-
-<tr><td><p>&nbsp;</td></tr>
-<tr><td colspan=4 align=middle>
-  <a href="javascript:next_page();">Next page_iconwizardnext_</a>
-</table>
+<br>
+<font color="#909090">
+A statement describing the principles governing what is included in the collection.
+</font>
+
+</td></tr>
+<tr><td align=right>
+<br><br><a href="javascript:next_page();">Next page_iconwizardnext_</a>
+</td></tr>
+</table></center>
 </form>
 </td></tr></table></center>
@@ -414,54 +391,34 @@
 <input type=hidden name="bc1refine" value="_bcargrefine_">
 
-<table border=0>
-<tr>
-  <td>Type of data:</td>
-  <td>
-    <input type="hidden" name="bc1srcformat" value="_bcargsrcformat_">
-    <select name="bc1srcformatmenu" onChange=srcformat_changed()>
-     <option value="TEXT" _If_("_bcargsrcformat_" eq "TEXT",selected)>Plain TEXT&nbsp;&nbsp;(.txt)
-     <option value="HTML" _If_("_bcargsrcformat_" eq "HTML",selected)>HTML&nbsp;&nbsp;(.htm, html)
-     <option value="EMAIL" _If_("_bcargsrcformat_" eq "EMAIL",selected)>E-mail&nbsp;&nbsp;(.email)
-     <option value="BRS"  _If_("_bcargsrcformat_" eq "BRS",selected)>BBC format&nbsp;&nbsp;(.brs)
-    </select>
-  </td>
-</tr>
-<tr>
-  <td></td>
-  <td colspan=3>
-     <font color="#909090">This pull-down menu specifies the type of file format the 
-	source data is in: TEXT for plain text documents, HTML for Web pages and so for.  
-	Also listed in the pull-down menu are the permissible file names extensions (for 
-	instance <tt>.htm</tt> and <tt>.html</tt>) for the source files (Web pages 
-	in this case).
-      </font>
-  </td>
-</tr>
-
-<tr>
-  <td>
-    Input directory:
-  </td>
-
-  <td colspan=3>
-     <input type=text name="bc1inputdir" value="_bcarginputdir_" size=40>
-  </td>
-  </td>
-</tr>
-
-<tr>
-  <td></td>
-  <td colspan=3>
-     <font color="#909090">
-	The input directory specifies where on the local disk the source data is 
-	located.
-     </font>
-  </td>
-</tr>
-
-<tr><td><p>&nbsp;</td></tr>
-<tr><td colspan=4 align=middle>
-  <a href="javascript:next_page();">Next page_iconwizardnext_</a>
-</table>
+<center><table border=0 width=_pagewidth_><tr><td>
+
+<h4>Type of data:</h4>
+<input type="hidden" name="bc1srcformat" value="_bcargsrcformat_">
+<select name="bc1srcformatmenu" onChange=srcformat_changed()>
+<option value="TEXT" _If_("_bcargsrcformat_" eq "TEXT",selected)>Plain TEXT&nbsp;&nbsp;(.txt)
+<option value="HTML" _If_("_bcargsrcformat_" eq "HTML",selected)>HTML&nbsp;&nbsp;(.htm, html)
+<option value="EMAIL" _If_("_bcargsrcformat_" eq "EMAIL",selected)>E-mail&nbsp;&nbsp;(.email)
+</select>
+<br>
+<font color="#909090">
+This pull-down menu specifies the type of file format the source data is
+in: TEXT for plain text documents, HTML for Web pages and so for.  Also
+listed in the pull-down menu are the permissible file names extensions (for
+instance <tt>.htm</tt> and <tt>.html</tt>) for the source files (Web pages
+in this case).
+</font>
+
+<h4>Input directory:</h4>
+<input type=text name="bc1inputdir" value="_bcarginputdir_" size=72>
+<br>
+<font color="#909090">
+The input directory specifies where on the local disk the source data is
+located.
+</font>
+
+</td></tr>
+<tr><td align=right><br><br>
+<a href="javascript:next_page();">Next page_iconwizardnext_</a>
+</td></tr></table></center>
 </form>
 </td></tr></table></center>
@@ -521,45 +478,37 @@
 <input type=hidden name="bc1refine" value="_bcargrefine_">
 
-<table border=0>
-<tr>
-
-  <td>Copy data:</td>
-  <td>
-    <input type="hidden" name="bc1copydir" value="_bcargcopydir_">
-    <select name="bc1copydirmenu" onChange=copydir_changed()>
-     <option value="yes" _If_("_bcargcopydir_" eq "yes",selected)>Yes, make a local copy for the digital library
-     <option value="no" _If_("_bcargcopydir_" eq "no",selected)>No, form a link in digital library to source data
-    </select>
-  </td>
-</tr>
-
-<tr>
-  <td></td>
-  <td colspan=3>
-     <font color="#909090">
-	_If_("_bcargingsdlarea_" eq "yes",
-	The input directory <tt>_bcarginputdir_</tt> is internal to the 
-	Greenstone collection file area.  In this situation the default
-	behaviour is to build the collection directly from this
-	source data.  Use the pull-down menu to alter this behaviour.
-	,
-	The input directory <tt>_bcarginputdir_</tt> is external to the 
-	Greenstone collection file area.  Use this pull-down menu to
-	control whether or not a copy of the data is made for collection
-	building purposes.
-	)  
-	Note, once a collection has been built it
-	is not necessary for the source data to remain in the Greenstone
-	collection area -- the collection can be safely accessed, browsed
-	and searched without this.  If you wish, however, to make changes
-	to the collection and then rebuild, the source data must still be available.
-     </font>
-  </td>
-</tr>
-
-<tr><td><p>&nbsp;</td></tr>
-<tr><td colspan=4 align=middle>
-  <a href="javascript:next_page();">Next page_iconwizardnext_</a>
-</table>
+<center><table border=0 width=_pagewidth_><tr><td>
+
+<h4>Copy data:</h4>
+<input type="hidden" name="bc1copydir" value="_bcargcopydir_">
+<select name="bc1copydirmenu" onChange=copydir_changed()>
+ <option value="yes" _If_("_bcargcopydir_" eq "yes",selected)>Yes, make a local copy for the digital library
+ <option value="no" _If_("_bcargcopydir_" eq "no",selected)>No, form a link in digital library to source data
+</select>
+<br>
+<font color="#909090">
+_If_("_bcargingsdlarea_" eq "yes",
+The input directory <tt>_bcarginputdir_</tt> is internal to the 
+Greenstone collection file area.  In this situation the default
+behaviour is to build the collection directly from this
+source data.  Use the pull-down menu to alter this behaviour.
+,
+The input directory <tt>_bcarginputdir_</tt> is external to the 
+Greenstone collection file area.  Use this pull-down menu to
+control whether or not a copy of the data is made for collection
+building purposes.
+)  
+Note, once a collection has been built it is not necessary for the source
+data to remain in the Greenstone collection area -- the collection can be
+safely accessed, browsed and searched without this.  If you wish, however,
+to make changes to the collection and then rebuild, the source data must
+still be available.
+</font>
+
+</td></tr>
+<tr><td align=right><br><br>
+<a href="javascript:next_page();">Next page_iconwizardnext_</a>
+</td></tr>
+</table></center>
 </form>
 </td></tr></table></center>
@@ -619,20 +568,17 @@
 <input type=hidden name="bc1refine" value="_bcargrefine_">
 
-<table border=0>
-<tr>
-  <td>
-	This concludes the data entry required to create a new collection.
-
-	<p>Select "finish" to save your collection info and create the
-	   collection or select from the wizard bar to go back and change
-	   any of your previous selections.
-
-  </td>
-</tr>
-
-<tr><td><p>&nbsp;</td></tr>
-<tr><td align=middle>
-  <a href="javascript:save();">finish_iconwizardnext_</a>
-</table>
+<center><table border=0 width=_pagewidth_><tr><td>
+<p>
+This concludes the data entry required to create a new collection.
+<p>
+Select "finish" to save your collection info and create the collection or
+select from the wizard bar to go back and change any of your previous
+selections.
+</td></tr>
+
+<tr><td align=right><br><br>
+<a href="javascript:save();">finish_iconwizardnext_</a>
+</td></tr>
+</table></center>
 </form>
 </td></tr></table></center>
@@ -738,5 +684,8 @@
 changes to disk.
 </font>
-<br><textarea name="bc1cfgfile" cols=70 rows=18 wrap=off>_cfgfile_</textarea>
+<br>
+<center>
+<textarea name="bc1cfgfile" cols=72 rows=18 wrap=off>_cfgfile_</textarea>
+</center>
 
 <br>
@@ -761,8 +710,8 @@
 
 #---------------------------------------------------------------------------#
-# Build a collection
+# Rebuild a collection
 #---------------------------------------------------------------------------#
 
-_headmessbuildcol_ { Build a collection }
+_headmessbuildcol_ { Rebuild a collection }
 
 
@@ -879,5 +828,5 @@
 
 <tr>
-  <td>Collection to build:</td>
+  <td>Collection to rebuild:</td>
   <td colspan=3>
      _fullnamemenu_
@@ -888,5 +837,5 @@
   <td colspan=3>
     <font color="#909090">
-	Select from the pull-down menu the collection you wish to build.
+	Select from the pull-down menu the collection you wish to rebuild.
     </font>
   </td>
@@ -957,5 +906,5 @@
 <tr><td colspan=4 align=middle>
   &nbsp;<a href="_httpbuild_&bca=buildcol">_iconwizardreset_Reset page</a>&nbsp;&nbsp;&nbsp;&nbsp;
-  <a href="javascript:build();">Build collection_iconwizardnext_</a>&nbsp;
+  <a href="javascript:build();">Rebuild collection_iconwizardnext_</a>&nbsp;
 </table>
 </form>
@@ -1287,5 +1236,5 @@
         Would you like to:
     <ul>
-      <li><a href="_httpbuild_&bca=newcol">Make a new
+      <li><a href="_httpbuild_&bca=newcol">Create a new
 	collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=editcol&bc1dirname=_build:bcargdirname_">Edit 
@@ -1306,5 +1255,5 @@
       <li><a href="_httppageabout_&c=_build:bcargdirname_" target="_top">Access
 	this collection_build:iconwizardnext_</a>
-      <li><a href="_httpbuild_&bca=newcol">Make a new
+      <li><a href="_httpbuild_&bca=newcol">Create a new
 	collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=editcol&bc1dirname=_build:bcargdirname_">Edit 
@@ -1325,5 +1274,5 @@
       <li><a href="_httppageabout_&c=_build:bcargdirname_" target="_top">Access
 	this collection_build:iconwizardnext_</a>
-      <li><a href="_httpbuild_&bca=newcol">Make a new
+      <li><a href="_httpbuild_&bca=newcol">Create a new
 	collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=editcol&bc1dirname=_build:bcargdirname_">Edit 
@@ -1346,5 +1295,5 @@
       <li><a href="_httpbuild_&bca=collog&bc1dirname=_build:bcargdirname_">View 
         the build log for this collection_build:iconwizardnext_</a>
-      <li><a href="_httpbuild_&bca=newcol">Make a new
+      <li><a href="_httpbuild_&bca=newcol">Create a new
 	collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=editcol&bc1dirname=_build:bcargdirname_">Edit
@@ -1362,5 +1311,5 @@
     <p> Files successfully deleted.  Would you like to:
     <ul>
-      <li><a href="_httpbuild_&bca=newcol">Make a new
+      <li><a href="_httpbuild_&bca=newcol">Create a new
 	collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=editcol">Edit 
@@ -1389,5 +1338,5 @@
       <li><a href="_httppageabout_&c=_build:bcargdirname_" target="_top">Access
 	the existing collection_build:iconwizardnext_</a>
-      <li><a href="_httpbuild_&bca=newcol">Make a new
+      <li><a href="_httpbuild_&bca=newcol">Create a new
 	collection_build:iconwizardnext_</a>
       <li><a href="_httpbuild_&bca=editcol&bc1dirname=_build:bcargdirname_">Edit
Index: /trunk/gsdl/macros/status.dm
===================================================================
--- /trunk/gsdl/macros/status.dm	(revision 1362)
+++ /trunk/gsdl/macros/status.dm	(revision 1363)
@@ -61,4 +61,9 @@
 <a href="_httppagehome_" target=\_top>_textreturnhome_</a>
 
+<p><b>_textcollections_</b><br>
+<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=newcol&wizard=textinfo" target=infoframe>_textnewcoll_</a><br>
+<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=editcol" target=infoframe>_texteditcoll_</a><br>
+<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=buildcol&wizard=buildcol" target=infoframe>_textbuildcoll_</a><br>
+<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=delcol" target=infoframe>_textdeletecoll_</a><br>
 
 _If_("_cgiarguma_" ne "\_cgiarguma\_", 
@@ -74,11 +79,4 @@
 <a href="_gwcgi_?e=_compressedoptions_&a=status&sp=browserinfo" target=infoframe>_textbrowsers_</a><br>
 <a href="_gwcgi_?e=_compressedoptions_&a=status&sp=protocolinfo" target=infoframe>_textprotocols_</a>
-
-<p><b>_textcollections_</b><br>
-<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=newcol&wizard=textinfo" target=infoframe>_textnewcoll_</a><br>
-<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=editcol" target=infoframe>_texteditcoll_</a><br>
-<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=buildcol&wizard=buildcol" target=infoframe>_textbuildcoll_</a><br>
-<a href="_gwcgi_?e=_compressedoptions_&a=bc&bca=delcol" target=infoframe>_textdeletecoll_</a><br>
-
 
 <p><b>_textlogs_</b><br>
@@ -103,5 +101,5 @@
 _textnewcoll_ {create new collection}
 _texteditcoll_ {edit collection}
-_textbuildcoll_ {build collection}
+_textbuildcoll_ {rebuild collection}
 _textdeletecoll_ {delete collection}
 