Index: trunk/gsdl/src/recpt/z3950proto.cpp
===================================================================
--- trunk/gsdl/src/recpt/z3950proto.cpp	(revision 1371)
+++ trunk/gsdl/src/recpt/z3950proto.cpp	(revision 1372)
@@ -61,5 +61,6 @@
   z3950_server *zserver;
   ShortColInfo_t *tempinfo;
-  FILE *errfile;
+
+  //  FILE *errfile declared in z3950cfg.h, defined in zparse.y
 
   if ((errfile=fopen(errf.getcstr(),"a"))==NULL) {
Index: trunk/gsdl/src/recpt/zparse.tab.c
===================================================================
--- trunk/gsdl/src/recpt/zparse.tab.c	(revision 1371)
+++ trunk/gsdl/src/recpt/zparse.tab.c	(revision 1372)
@@ -46,5 +46,5 @@
 #define	DATA	295
 
-#line 3 "zparse.y"
+#line 27 "zparse.y"
 
   /* verbatim C code - functions, etc */
@@ -71,4 +71,5 @@
 /* defined in z3950proto.cpp */
 struct z3950cfg *zserver_list=NULL;
+FILE *errfile;
 
 int yylex(void);
@@ -79,5 +80,5 @@
 
 
-#line 37 "zparse.y"
+#line 62 "zparse.y"
 typedef union {
   char *string;
@@ -157,7 +158,7 @@
 #if YYDEBUG != 0
 static const short yyrline[] = { 0,
-    82,    85,    86,    88,    89,    91,   111,   115,   116,   121,
-   122,   125,   126,   129,   130,   131,   136,   138,   139,   141,
-   143,   146,   157,   179,   187,   195,   197,   198,   200,   201
+   107,   110,   111,   113,   114,   116,   136,   140,   141,   146,
+   147,   150,   151,   154,   155,   156,   161,   163,   164,   166,
+   168,   171,   182,   204,   212,   220,   222,   223,   225,   226
 };
 #endif
@@ -778,21 +779,21 @@
 
 case 1:
-#line 82 "zparse.y"
+#line 107 "zparse.y"
 {zserver_list=yyvsp[0].cfg;;
     break;}
 case 2:
-#line 85 "zparse.y"
+#line 110 "zparse.y"
 {;;
     break;}
 case 3:
-#line 86 "zparse.y"
+#line 111 "zparse.y"
 {fprintf(stderr,"No version - not GSDL config file?\n");return(1);;
     break;}
 case 4:
-#line 88 "zparse.y"
+#line 113 "zparse.y"
 {if (yyvsp[0].cfg!=NULL) {yyvsp[0].cfg->next=yyvsp[-1].cfg;yyval.cfg=yyvsp[0].cfg;};
     break;}
 case 6:
-#line 92 "zparse.y"
+#line 117 "zparse.y"
 {
 		     if (YYRECOVERING)
@@ -816,14 +817,14 @@
     break;}
 case 7:
-#line 111 "zparse.y"
+#line 136 "zparse.y"
 {yyval.cfg=NULL;
 	      fprintf(stderr,"discarding zserver (line %d)\n",lineno);;
     break;}
 case 8:
-#line 115 "zparse.y"
+#line 140 "zparse.y"
 {;;
     break;}
 case 9:
-#line 116 "zparse.y"
+#line 141 "zparse.y"
 {errormsg("Database name needs to be followed by a short "
 			  "descriptive name (enclosed in \" marks)");
@@ -832,17 +833,17 @@
     break;}
 case 10:
-#line 121 "zparse.y"
+#line 146 "zparse.y"
 {yyval.number=atoi(yyvsp[0].string);;
     break;}
 case 11:
-#line 122 "zparse.y"
+#line 147 "zparse.y"
 {yyval.number=210;;
     break;}
 case 12:
-#line 125 "zparse.y"
+#line 150 "zparse.y"
 {yyval.string=yyvsp[0].string;;
     break;}
 case 13:
-#line 126 "zparse.y"
+#line 151 "zparse.y"
 {yyval.string=yyvsp[0].string;
                   errormsg("Icon must be enclosed in quotes");
@@ -850,13 +851,13 @@
     break;}
 case 14:
-#line 129 "zparse.y"
+#line 154 "zparse.y"
 {yyval.string=NULL;;
     break;}
 case 15:
-#line 130 "zparse.y"
+#line 155 "zparse.y"
 {yyval.string=yyvsp[0].string;;
     break;}
 case 16:
-#line 131 "zparse.y"
+#line 156 "zparse.y"
 {yyval.string=yyvsp[0].string;
 	      /* this is because of the ':' */
@@ -866,25 +867,25 @@
     break;}
 case 17:
-#line 136 "zparse.y"
+#line 161 "zparse.y"
 {yyval.string=NULL;;
     break;}
 case 18:
-#line 138 "zparse.y"
+#line 163 "zparse.y"
 {defLanguage=0;;
     break;}
 case 19:
-#line 139 "zparse.y"
+#line 164 "zparse.y"
 {yyval.about=NULL;;
     break;}
 case 20:
-#line 141 "zparse.y"
+#line 166 "zparse.y"
 {;;
     break;}
 case 21:
-#line 143 "zparse.y"
+#line 168 "zparse.y"
 {yyval.about=yyvsp[0].about;yyvsp[0].about->next=yyvsp[-1].about;;
     break;}
 case 22:
-#line 147 "zparse.y"
+#line 172 "zparse.y"
 {
 			       if((yyval.about=malloc(sizeof(struct z3950aboutlist)))
@@ -899,5 +900,5 @@
     break;}
 case 23:
-#line 158 "zparse.y"
+#line 183 "zparse.y"
 {
 			       if (defLanguage)
@@ -918,5 +919,5 @@
     break;}
 case 24:
-#line 180 "zparse.y"
+#line 205 "zparse.y"
 {
 			       yyval.string=malloc(strlen(yyvsp[-2].string)+strlen(yyvsp[0].string)+1);
@@ -928,25 +929,25 @@
     break;}
 case 25:
-#line 187 "zparse.y"
+#line 212 "zparse.y"
 {;;
     break;}
 case 26:
-#line 195 "zparse.y"
+#line 220 "zparse.y"
 {errormsg("missing language");;
     break;}
 case 27:
-#line 197 "zparse.y"
+#line 222 "zparse.y"
 {;;
     break;}
 case 28:
-#line 198 "zparse.y"
+#line 223 "zparse.y"
 {;;
     break;}
 case 29:
-#line 200 "zparse.y"
+#line 225 "zparse.y"
 {;;
     break;}
 case 30:
-#line 201 "zparse.y"
+#line 226 "zparse.y"
 {;;
     break;}
@@ -1174,5 +1175,5 @@
   return 1;
 }
-#line 204 "zparse.y"
+#line 229 "zparse.y"
 
 /*int strncasecmp (const char *, const char *,size_t);*/
Index: trunk/gsdl/src/recpt/zparse.y
===================================================================
--- trunk/gsdl/src/recpt/zparse.y	(revision 1371)
+++ trunk/gsdl/src/recpt/zparse.y	(revision 1372)
@@ -49,4 +49,5 @@
 /* defined in z3950proto.cpp */
 struct z3950cfg *zserver_list=NULL;
+FILE *errfile;
 
 int yylex(void);