Index: /trunk/gsdl/macros/base.dm
===================================================================
--- /trunk/gsdl/macros/base.dm	(revision 1385)
+++ /trunk/gsdl/macros/base.dm	(revision 1386)
@@ -59,4 +59,6 @@
 _Browsewidth_ {_widthtbrwsex_}
 _Peoplewidth_ {_widthtpeopx_}
+_Languagewidth_ {_widthtlangx_}
+_Acronymswidth_ {_widthtacrox_}
 
 #######################################################################
@@ -202,4 +204,20 @@
         border=0 alt="_textimagePeople_"></a>}
 _imagePeople_[v=1] {<a href="_httpbrowsePeople_">_textimagePeople_</a><br>
+}
+
+_imageLanguage_ {<a href="_httpbrowseLanguage_"
+    onMouseover = "img\_on('Language')"
+    onMouseout = "img\_off('Language')"><img name="Language"
+        src="_httpicontlangof_" width=_widthtlangx_ height=_heighttlangx_
+        border=0 alt="_textimageLanguage_"></a>}
+_imageLanguage_[v=1] {<a href="_httpbrowseLanguage_">_textimageLanguage_</a><br>
+}
+
+_imageAcronyms_ {<a href="_httpbrowseAcronyms_"
+    onMouseover = "img\_on('Acronyms')"
+    onMouseout = "img\_off('Acronyms')"><img name="Acronyms"
+        src="_httpicontacroof_" width=_widthtacrox_ height=_heighttacrox_
+        border=0 alt="_textimageAcronyms_"></a>}
+_imageAcronyms_[v=1] {<a href="_httpbrowseAcronyms_">_textimageAcronyms_</a><br>
 }
 
@@ -357,4 +375,18 @@
 }
 
+_javaLanguage_ {
+        Language\_on = new Image(_widthtlangx_, _heighttlangx_);
+        Language\_on.src = "_httpicontlangon_";
+        Language\_off = new Image(_widthtlangx_, _heighttlangx_);
+        Language\_off.src = "_httpicontlangof_";
+}
+
+_javaAcronym_ {
+        Acronym\_on = new Image(_widthtacrox_, _heighttacrox_);
+        Acronym\_on.src = "_httpicontacroon_";
+        Acronym\_off = new Image(_widthtacrox_, _heighttacrox_);
+        Acronym\_off.src = "_httpicontacroof_";
+}
+
 
 #######################################################################
@@ -584,4 +616,12 @@
 _icontabPeoplegreen_[v=1] {_texticontabPeoplegreen_}
 
+_icontabLanguagegreen_ {<img
+src="_httpicontlanggr_" height=_heighttlangx_ width=_widthtlangx_ border=0>}
+_icontabLanguagegreen_[v=1] {_texticontabLanguagegreen_}
+
+_icontabAcronymgreen_ {<img
+src="_httpicontacrogr_" height=_heighttacrox_ width=_widthtacrox_ border=0>}
+_icontabAcronymgreen_[v=1] {_texticontabAcronymgreen_}
+
 _iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=6></center>}
 _iconblankbar_[v=1] {<br><hr><br>}
Index: /trunk/gsdl/macros/document.dm
===================================================================
--- /trunk/gsdl/macros/document.dm	(revision 1385)
+++ /trunk/gsdl/macros/document.dm	(revision 1386)
@@ -191,4 +191,12 @@
 _iconPeoplepage_ [v=1] {<h2>_texticonhpeople_</h2>}
 
+_iconLanguagepage_ {<img src="_httpiconhlanguage_" width=_widthhlanguage_
+height=_heighthlanguage_}
+_iconLanguagepage_ [v=1] {<h2>_texticonhlanguage_</h2>}
+
+_iconAcronymspage_ {<img src="_httpiconhacronyms_" width=_widthhacronyms_
+height=_heighthacronyms_}
+_iconAcronymspage_ [v=1] {<h2>_texticonhacronyms_</h2>}
+
 
 _iconsmalltext_ {<img src="_httpiconsmtext_" border=0 width=_widthsmtext_ height=_heightsmtext_ alt="_texticonsmalltext_">}
Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 1385)
+++ /trunk/gsdl/macros/english.dm	(revision 1386)
@@ -79,4 +79,6 @@
 _textimageBrowse_ {Browse}
 _textimagePeople_ {Browse alphabetical list of People}
+_textimageLanguage_ {Browse by language}
+_textimageAcronyms_ {Browse acronyms}
 
 _texticontabsearchgreen_{Search}
@@ -94,4 +96,6 @@
 _texticontabbrwsegreen_{Browse}
 _texticontabPeoplegreen_{People A-Z}
+_texticontabLanguagegreen_{Language}
+_texticontabAcronymsgreen_{Acronyms}
 
 _texticontext_ {View the document}
@@ -250,4 +254,20 @@
 _heighttpeopx_ {17}
 
+## "language" ## nav_bar_button ## tlang ##
+_httpicontlanggr_ {_httpimg_/tlanggr.gif}
+_httpicontlangon_ {_httpimg_/tlangon.gif}
+_httpicontlangof_ {_httpimg_/tlangof.gif}
+_widthtlangx_ {87}
+_heighttlangx_ {17}
+
+## "acronyms" ## nav_bar_button ## tacro ##
+_httpicontacrogr_ {_httpimg_/tacrogr.gif}
+_httpicontacroof_ {_httpimg_/tacroof.gif}
+_httpicontacroon_ {_httpimg_/tacroon.gif}
+_widthtacrox_ {97}
+_heighttacrox_ {17}
+
+
+
 
 
@@ -304,4 +324,6 @@
 _textBrowsepage_ {_texticonhbrwse_}
 _textPeoplepage_ {_texticonhpeople_}
+_textLanguagepage_ {_texticonhlanguage_}
+_textAcronymspage_ {_texticonhacronyms_}
 
 _texticonhtitle_ {Titles A-Z}
@@ -316,4 +338,6 @@
 _texticonhbrwse_ {Browse}
 _texticonhpeople_ {People A-Z}
+_texticonhlanguage_ {Languages}
+_texticonhacronyms_ {Acronyms}
 
 _texticonopenbookshelf_ {close this section of the library}
@@ -412,4 +436,14 @@
 _widthhpeople_ {200}
 _heighthpeople_ {57}
+
+## "languages" ## green_title ## h_lang ##
+_httpiconhlanguage_ {_httpimg_/h\_lang.gif}
+_widthhlanguage_ {200}
+_heighthlanguage_ {57}
+
+## "acronyms" ## green_title ## h_acro ##
+_httpiconhacronyms_ {_httpimg_/h\_acro.gif}
+_widthhacronyms_ {200}
+_heighthacronyms_ {57}
 
 ## "CONTINUE?" ## top_nav_button ## cont ##
@@ -649,4 +683,6 @@
 _textTopicshort_ {access publications by topic}
 _textPeopleshort_ {access publications by people}
+_textLanguageshort_ {access publications by language}
+_textAcronymshort_ {access publications by acronym occurance}
 _textdefaultshorttext_ {undefined classification}
 
@@ -700,4 +736,12 @@
 pressing the <i>people a-z</i> button.  This brings up a list of entries,
 sorted by surname.  }
+
+_textLanguagelong_ { <p>You can <i>access publications by language</i> by
+pressing the <i>languages</i> button.  This brings up a list of entries,
+sorted by language.  }
+
+_textAcronymslong_ { <p>You can <i>access publications by acronym occurance</i> by
+pressing the <i>acronyms</i> button.  This brings up a list of the acronyms,
+and the places that they occur.  }
 
 _textdefaultlongtext_ { <p>Click on the <i>unknown</i> button to browse